# mongoc_bulk_operation_update_one()

## Synopsis

    void
    mongoc_bulk_operation_update_one (mongoc_bulk_operation_t *bulk,
                                      const bson_t            *selector,
                                      const bson_t            *document,
                                      bool                     upsert);

This function queues an update as part of a bulk operation. It will only modify a single document on the MongoDB server. This function does not execute the operation. To execute the entirety of the bulk operation call mongoc_bulk_operation_execute().

document must only contain fields whose key starts with $. See the update document specification for more details.

## Parameters

bulk | A mongoc_bulk_operation_t.
selector | A bson_t containing the selector to query.
document | A bson_t containing the update document.
upsert | true if an upsert should be performed.

## See Also

mongoc_bulk_operation_update()